Subject: Beckett Bed Spindle Replacement
From: Alexis Jensen <[email-masked]>
To: info <[email-masked]>
Date: Sat, 26 Oct 2024 22:10:29 +0000

Good afternoon,

A couple of years ago, my mom purchased the Beckett bed in Morocco brown. Unfortunately, during a move, one of the spindles that attach to the frame at the end of the bed cracked and can no longer support it upright. Additionally, the hardware
is stuck in the frame, and I am currently trying to remove it.

I was wondering if you have a replacement spindle available for purchase. I appreciate your assistance and look forward to your response!

Thank you,

Alexis Jensen

Sent from Proton Mail for iOS